#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
typedef std::numeric_limits<double> dbl;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    ll n; cin >> n;
    pair<double, double> f[n];
    double prosecanPorez = 0, porez = LONG_MAX;

    for (int i = 0; i < n; ++i) {
        double ai, pi; scanf("%lf %lf", &ai, &pi);
        f[i].first = ai;
        f[i].second = pi;
        prosecanPorez += pi;
    }
    prosecanPorez /= n;

    // nadji stvarni porez
    for (int i = 0; i < n; ++i) {
        if (f[i].second >= prosecanPorez)
            porez = min(porez, f[i].second);
    }

    double res = 0;
    for (int i = 0; i < n; ++i) {
        if (f[i].second >= prosecanPorez) {
            res += f[i].first*(porez/100);
        }
    }

    printf("%.3f", res);

    return 0;
}